#!/usr/bin/env python
import requests
import os
import time

# Config parameters
url001 = {'url':'http://reg.bom.gov.au/fwo/reg/IDV65017.gif', 'name' : '2FFDI-', 'chunk_size' : 100000} # FFDI
url002 = {'url':'https://reg.bom.gov.au/fwo/reg/IDV65022.gif', 'name' : '2W-T-RH-', 'chunk_size' : 200000} # W-T-RH
url003 = {'url':'https://reg.bom.gov.au/fwo/reg/IDV65004.gif', 'name' : '2T-RH-', 'chunk_size' : 400000} # T-RH
url004 = {'url':'https://reg.bom.gov.au/fwo/reg/IDV65005.gif', 'name' : '2RAIN-', 'chunk_size' : 400000} #Rain

gifData = [url001,url002,url003,url004]

user = 'bomw0025'
password = 'cfahq2'

counter = 103 # Sd: Why start at 103?

sleepTime = 30*60 # 1800 seconds (30 Minutes)

def getImage(url, name, chunk_size, user, password):
    response = requests.get(url, auth=(user, password))

    response.raise_for_status()

    image = open(os.path.join('FFDI', os.path.basename(url)), 'wb')

    for chunk in response.iter_content(chunk_size=chunk_size):
        image.write(chunk)
    image.close()
    os.rename(os.path.join('FFDI', os.path.basename(url)), name + str(counter) + '.png')

    return

def buildGif(counter):
    while (counter < 340): # Sd: Why 340?
        print("Downloading number :" + str(counter))

        [getImage(gifs['url'], gifs['name'], gifs['chunk_size'], user, password) for gifs in gifData]

        print(str(counter))
        time.sleep(sleepTime)
        counter += 1

    print('Done.')
    return

if __name__ == '__main__':
    #import pdb; pdb.set_trace()
    buildGif(counter)